<template>
	<div>
		<van-sticky>
			<view class="top-bar justify-center bg-white sh">
				<van-icon class="top-left" name="arrow-left" @tap="goBack" />
				<view>
					<view class="text-m" style="font-size: 16px">证照信息</view>
				</view>
			</view>
		</van-sticky>
		<div style="text-align: center;margin-top: 150px">
			<img v-if="mail.licensePath" style="width:60vw;height: 60vw;" :src="mail.licensePath" alt="加载失败">
			<img v-else style="width:60vw;height: 60vw;" src="../../static/img/certificates_none.png" alt="加载失败">
			<p v-if="!mail.licensePath" style="color: #666666 ">暂无任相关信息~</p>
		</div>
		<div style="text-align: center;position: absolute;bottom: 10px;width: 100%">
			<img @click="gotoU" style="width: 20px;height: 20px;vertical-align: sub;margin-right: 10px" src="../../static/favicon.ico" alt=""><span style="color: #666666">提供技术支持</span>
			<p @click="gotoU" style="margin-top: 10px"><span style="color: #666666">资质与规则</span></p>
		</div>
	</div>
</template>

<script>
  export default {
    name: "certificate",
    data(){
      return{
        mail:{},
	}
    },
    methods: {
      goBack() {
        uni.redirectTo({
          url: "/pages/good/contact",
        });
      },
      gotoU(){
        uni.redirectTo({
          url: "/pages/my/technicalSupport?name=contact",
        });
	},
    },
    mounted(){
      this.mail = uni.getStorageSync('mail')||{}
    },
  };
</script>

<style scoped>

</style>